Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/app/gui/preferencespage/dialogreminder/DialogReminderPage.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/app/gui/preferencespage/dialogreminder/DialogReminderPage.java	(revision 43376)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/app/gui/preferencespage/dialogreminder/DialogReminderPage.java	(revision 43377)
@@ -10,17 +10,20 @@
 import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.preferences.IPreference;
 import org.gvsig.andami.preferences.StoreException;
-import org.gvsig.reminder.DialogReminder;
-import org.gvsig.reminder.DialogReminderManager;
+
 import org.gvsig.tools.ToolsLocator;
 import org.gvsig.tools.i18n.I18nManager;
 import org.gvsig.tools.swing.api.JListWithCheckbox;
 import org.gvsig.tools.swing.api.ListElement;
 import org.gvsig.tools.swing.api.ToolsSwingLocator;
 import org.gvsig.tools.swing.api.ToolsSwingManager;
-import org.gvsig.tools.util.ToolsUtilLocator;
+import org.gvsig.tools.swing.api.reminder.DialogReminder;
+import org.gvsig.tools.swing.api.reminder.DialogReminderManager;
 
+
 public class DialogReminderPage extends DialogReminderView implements IPreference {
+
+    private static final long serialVersionUID = 3811078625224506453L;
     //
     // The class DialogReminderView can extend from AbstractPreferencePage, not JPanel,
     // if recreate it from the GUI builder change te class declaration to:
@@ -77,7 +80,7 @@
 
     @Override
     public void initializeValues() {
-        DialogReminderManager remembers = ToolsUtilLocator.getDialogReminderManager();
+        DialogReminderManager remembers = ToolsSwingLocator.getDialogReminderManager();
 
         DefaultListModel model = new DefaultListModel();
         ListSelectionModel checkModel = this.lstCheckdsRemembers.getCheckedModel();
@@ -95,7 +98,7 @@
 
     @Override
     public void initializeDefaults() {
-        DialogReminderManager remembers = ToolsUtilLocator.getDialogReminderManager();
+        DialogReminderManager remembers = ToolsSwingLocator.getDialogReminderManager();
 
         DefaultListModel model = new DefaultListModel();
         ListSelectionModel checkModel = this.lstCheckdsRemembers.getCheckedModel();
@@ -125,7 +128,7 @@
 
     @Override
     public void storeValues() throws StoreException {
-        DialogReminderManager remembers = ToolsUtilLocator.getDialogReminderManager();
+        DialogReminderManager remembers = ToolsSwingLocator.getDialogReminderManager();
 
         ListSelectionModel checkModel = this.lstCheckdsRemembers.getCheckedModel();
         int n=0;
@@ -144,7 +147,7 @@
 
     @Override
     public boolean isValueChanged() {
-        DialogReminderManager remembers = ToolsUtilLocator.getDialogReminderManager();
+        DialogReminderManager remembers = ToolsSwingLocator.getDialogReminderManager();
 
         ListSelectionModel checkModel = this.lstCheckdsRemembers.getCheckedModel();
         int n=0;

Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/java/org/gvsig/geodb/vectorialdb/wizard/WizardDB.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/java/org/gvsig/geodb/vectorialdb/wizard/WizardDB.java	(revision 43376)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/java/org/gvsig/geodb/vectorialdb/wizard/WizardDB.java	(revision 43377)
@@ -403,12 +403,12 @@
 
         } else if ( src == dbButton ) {
             MyExplorer sel = addNewConnection();
-
-            if ( sel != null ) {
+            if ( sel == null ) {
+                loadVectorialDBDatasourcesCombo(null);
+            } else {
                 dbExplorerParameters = sel.getDbSeverExplorerParameters();
                 loadVectorialDBDatasourcesCombo(sel);
                 getDatasourceComboBox().setSelectedItem(sel);
-
             }
         }
 
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/java/org/gvsig/geodb/vectorialdb/wizard/WizardVectorialDB.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/java/org/gvsig/geodb/vectorialdb/wizard/WizardVectorialDB.java	(revision 43376)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/java/org/gvsig/geodb/vectorialdb/wizard/WizardVectorialDB.java	(revision 43377)
@@ -26,6 +26,7 @@
 import java.awt.Window;
 import java.util.ArrayList;
 import java.util.List;
+import org.apache.commons.lang3.StringUtils;
 
 import org.cresques.cts.IProjection;
 import org.slf4j.Logger;
@@ -176,7 +177,16 @@
                 UserTableSettingsPanel userTableSettingsPanel = table.getUserTableSettingsPanel();
                 parameter = getParameterForTable(table);
                 if (i == 0) {
-                    groupName = parameter.getDBName() + " (" + parameter.getHost() + ")";
+                    String dbname = parameter.getDBName();
+                    if( StringUtils.isEmpty(dbname) ) {
+                        dbname = "Group";
+                    }
+                    String host = parameter.getHost();
+                    if( StringUtils.isEmpty(host) ) {
+                        groupName =  dbname;
+                    } else {
+                        groupName =  dbname + " (" + host + ")";
+                    }
                 }
                 try {
                     store = (FeatureStore) man.openStore(

Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/BaseExporttoJDBCProvider.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/BaseExporttoJDBCProvider.java	(revision 43376)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/BaseExporttoJDBCProvider.java	(revision 43377)
@@ -135,10 +135,15 @@
         return new ExporrtoJDBCService(this);
     }
 
+    @Override
     public boolean getTranslateIdentifiersToLowerCase() {
         return this.identifiersOptionsPanel.getTranslateToLowerCase();
     }
 
+    public boolean getTranslateHyphens() {
+        return this.identifiersOptionsPanel.getTranslateHyphens();
+    }
+
     public boolean getRemoveSpacesInIdentifiers() {
         return this.identifiersOptionsPanel.getRemoveSpacesInTableName();
     }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/IdentifiersOptionsPanelView.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/IdentifiersOptionsPanelView.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/IdentifiersOptionsPanelView.java	(revision 43377)
@@ -0,0 +1,155 @@
+package org.gvsig.exportto.swing.prov.jdbc.panel;
+
+import com.jeta.open.i18n.I18NUtils;
+import com.jgoodies.forms.layout.CellConstraints;
+import com.jgoodies.forms.layout.FormLayout;
+import java.awt.BorderLayout;
+import java.awt.ComponentOrientation;
+import java.awt.Container;
+import java.awt.Dimension;
+import javax.swing.Box;
+import javax.swing.ImageIcon;
+import javax.swing.JCheckBox;
+import javax.swing.JFrame;
+import javax.swing.JLabel;
+import javax.swing.JPanel;
+
+
+public class IdentifiersOptionsPanelView extends JPanel
+{
+   JLabel lblHeader = new JLabel();
+   JCheckBox chkTraslateToLowerCase = new JCheckBox();
+   JCheckBox chkRemoveSpaces = new JCheckBox();
+   JCheckBox chkTraslateHyphens = new JCheckBox();
+
+   /**
+    * Default constructor
+    */
+   public IdentifiersOptionsPanelView()
+   {
+      initializePanel();
+   }
+
+   /**
+    * Adds fill components to empty cells in the first row and first column of the grid.
+    * This ensures that the grid spacing will be the same as shown in the designer.
+    * @param cols an array of column indices in the first row where fill components should be added.
+    * @param rows an array of row indices in the first column where fill components should be added.
+    */
+   void addFillComponents( Container panel, int[] cols, int[] rows )
+   {
+      Dimension filler = new Dimension(10,10);
+
+      boolean filled_cell_11 = false;
+      CellConstraints cc = new CellConstraints();
+      if ( cols.length > 0 && rows.length > 0 )
+      {
+         if ( cols[0] == 1 && rows[0] == 1 )
+         {
+            /** add a rigid area  */
+            panel.add( Box.createRigidArea( filler ), cc.xy(1,1) );
+            filled_cell_11 = true;
+         }
+      }
+
+      for( int index = 0; index < cols.length; index++ )
+      {
+         if ( cols[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(cols[index],1) );
+      }
+
+      for( int index = 0; index < rows.length; index++ )
+      {
+         if ( rows[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(1,rows[index]) );
+      }
+
+   }
+
+   /**
+    * Helper method to load an image file from the CLASSPATH
+    * @param imageName the package and name of the file to load relative to the CLASSPATH
+    * @return an ImageIcon instance with the specified image file
+    * @throws IllegalArgumentException if the image resource cannot be loaded.
+    */
+   public ImageIcon loadImage( String imageName )
+   {
+      try
+      {
+         ClassLoader classloader = getClass().getClassLoader();
+         java.net.URL url = classloader.getResource( imageName );
+         if ( url != null )
+         {
+            ImageIcon icon = new ImageIcon( url );
+            return icon;
+         }
+      }
+      catch( Exception e )
+      {
+         e.printStackTrace();
+      }
+      throw new IllegalArgumentException( "Unable to load image: " + imageName );
+   }
+
+   /**
+    * Method for recalculating the component orientation for 
+    * right-to-left Locales.
+    * @param orientation the component orientation to be applied
+    */
+   public void applyComponentOrientation( ComponentOrientation orientation )
+   {
+      // Not yet implemented...
+      // I18NUtils.applyComponentOrientation(this, orientation);
+      super.applyComponentOrientation(orientation);
+   }
+
+   public JPanel createPanel()
+   {
+      JPanel jpanel1 = new JPanel();
+      FormLayout formlayout1 = new FormLayout("FILL:4DLU:NONE,FILL:8DLU:GROW(1.0),FILL:4DLU:NONE","CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:4DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE");
+      CellConstraints cc = new CellConstraints();
+      jpanel1.setLayout(formlayout1);
+
+      lblHeader.setName("lblHeader");
+      lblHeader.setText("<html> Algunas bases de datos precisan tratar los identificadores de tabla o campo que tienen mayusculas y minusculas mezcladas, o espacios en blanco de forma especial a la hora de referirse a ellos.  Es recomendable que no los utilice para evitar problemas.<br> Puede indicar al asistente que traslade todos los nombres de campo a minusculas y que use \"_\" en lugar de espacios en blanco en el nombre de tabla si los hubiese. </html>");
+      jpanel1.add(lblHeader,cc.xy(2,2));
+
+      chkTraslateToLowerCase.setActionCommand("Trasladar identificadores de campo y tabla a minusculas");
+      chkTraslateToLowerCase.setName("chkTraslateToLowerCase");
+      chkTraslateToLowerCase.setSelected(true);
+      chkTraslateToLowerCase.setText("Trasladar identificadores de campo y tabla a minusculas");
+      jpanel1.add(chkTraslateToLowerCase,cc.xy(2,4));
+
+      chkRemoveSpaces.setActionCommand("Trasladar espacios en blanco en los identificadores a  \"_\"");
+      chkRemoveSpaces.setName("chkRemoveSpaces");
+      chkRemoveSpaces.setSelected(true);
+      chkRemoveSpaces.setText("Trasladar espacios en blanco en los identificadores a  \"_\"");
+      jpanel1.add(chkRemoveSpaces,cc.xy(2,6));
+
+      chkTraslateHyphens.setActionCommand("Trasladar guines, \"-\", en los identificadores a \"_\".");
+      chkTraslateHyphens.setName("chkTraslateHyphens");
+      chkTraslateHyphens.setSelected(true);
+      chkTraslateHyphens.setText("Trasladar guines, \"-\", en los identificadores a \"_\".");
+      jpanel1.add(chkTraslateHyphens,cc.xy(2,8));
+
+      addFillComponents(jpanel1,new int[]{ 1,2,3 },new int[]{ 1,2,3,4,5,6,7,8,9 });
+      return jpanel1;
+   }
+
+   /**
+    * Initializer
+    */
+   protected void initializePanel()
+   {
+      setLayout(new BorderLayout());
+      add(createPanel(), BorderLayout.CENTER);
+   }
+
+
+}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/IdentifiersOptionsPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/IdentifiersOptionsPanel.java	(revision 43376)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/IdentifiersOptionsPanel.java	(revision 43377)
@@ -17,7 +17,7 @@
  *
  * @author usuario
  */
-public class IdentifiersOptionsPanel extends IdentifiersOptionsPanelLayout implements ExporttoSwingProviderPanel {
+public class IdentifiersOptionsPanel extends IdentifiersOptionsPanelView implements ExporttoSwingProviderPanel {
     private static final long serialVersionUID = -6390855050271511346L;
 
     private final ExporttoJDBCOptions provider;
@@ -42,19 +42,23 @@
         this.lblHeader.setText("<html>"+i18nManager.getTranslation("_Table_and_fields_name_options_header")+"<html>");
     }
     
+    @Override
     public String getPanelTitle() {
         I18nManager i18nManager = ToolsLocator.getI18nManager();
         return i18nManager.getTranslation("_Table_and_fields_name_options");
     }
 
+    @Override
     public boolean isValidPanel() throws ExporttoPanelValidationException {
         return true;
     }
 
+    @Override
     public void enterPanel() {
         
     }
 
+    @Override
     public JComponent asJComponent() {
         return this;
     }
@@ -66,4 +70,9 @@
     public boolean getRemoveSpacesInTableName() {
         return this.chkRemoveSpaces.isSelected();
     }
+    
+    public boolean getTranslateHyphens() {
+        return this.chkTraslateHyphens.isSelected();
+    }
+    
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/SelectTableNamePanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/SelectTableNamePanel.java	(revision 43376)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/panel/SelectTableNamePanel.java	(revision 43377)
@@ -54,6 +54,8 @@
 import org.gvsig.fmap.dal.store.jdbc.JDBCStoreParameters;
 import org.gvsig.tools.ToolsLocator;
 import org.gvsig.tools.i18n.I18nManager;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.api.threadsafedialogs.ThreadSafeDialogsManager;
 import org.gvsig.tools.task.AbstractMonitorableTask;
 import org.gvsig.tools.task.SimpleTaskStatus;
 import org.slf4j.Logger;
@@ -228,6 +230,9 @@
             if( this.provider.getTranslateIdentifiersToLowerCase() ) {
                 tablename_tr = tablename_tr.toLowerCase();
             }
+            if( this.provider.getTranslateHyphens()) {
+                tablename_tr = tablename_tr.replace("-", "_");
+            }
             if( this.provider.getRemoveSpacesInIdentifiers() ) {
                 tablename_tr = StringUtils.normalizeSpace(tablename_tr).replace(" ", "_");
             }
@@ -235,12 +240,13 @@
                 String msg = i18nManager.getTranslation(
                         "Ha_utilizado_espacios_en_blanco_o_mayusculas_en_el_nombre_de_la_tabla_Desea_que_se_corrija_de_forma_automatica"
                 );
-                int resp = JOptionPane.showConfirmDialog(
-                        this,
+                ThreadSafeDialogsManager dialogs = ToolsSwingLocator.getThreadSafeDialogsManager();
+                int resp = dialogs.confirmDialog(
                         msg, 
                         i18nManager.getTranslation("_Warning"),
                         JOptionPane.YES_NO_OPTION, 
-                        JOptionPane.WARNING_MESSAGE
+                        JOptionPane.WARNING_MESSAGE,
+                        "Exportto_Table_name_with_spaces_or_mixed_case"
                 );
                 if( resp != JOptionPane.YES_OPTION ) {
                     msg = i18nManager.getTranslation(
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/ExporttoJDBCOptions.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/ExporttoJDBCOptions.java	(revision 43376)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/ExporttoJDBCOptions.java	(revision 43377)
@@ -43,6 +43,8 @@
 
     public boolean getRemoveSpacesInIdentifiers();
     
+    public boolean getTranslateHyphens();
+    
     public IProjection getTargetProjection();
     
     public String getSelectRole();
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/ExporrtoJDBCService.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/ExporrtoJDBCService.java	(revision 43376)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/exportto/swing/prov/jdbc/ExporrtoJDBCService.java	(revision 43377)
@@ -80,6 +80,9 @@
         if (this.options.getTranslateIdentifiersToLowerCase()) {
             s = s.toLowerCase();
         }
+        if( this.options.getTranslateHyphens()) {
+            s = s.replace("-", "_");
+        }
         if (this.options.getRemoveSpacesInIdentifiers()) {
             s = StringUtils.normalizeSpace(s).replace(" ", "_");
         }
@@ -95,7 +98,8 @@
         targetEditableFeatureType = targetFeatureType.getEditable();
 
         if (this.options.getTranslateIdentifiersToLowerCase()
-                || this.options.getRemoveSpacesInIdentifiers()) {
+                || this.options.getRemoveSpacesInIdentifiers() 
+                || this.options.getTranslateHyphens()) {
             for (int i = 0; i < targetEditableFeatureType.size(); i++) {
                 EditableFeatureAttributeDescriptor x = (EditableFeatureAttributeDescriptor) targetEditableFeatureType.get(i);
                 x.setName(getTranslatedIdentifier(x.getName()));

Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.impl/src/main/java/org/gvsig/symbology/fmap/mapcontext/rendering/symbol/fill/impl/SimpleFillSymbol.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.impl/src/main/java/org/gvsig/symbology/fmap/mapcontext/rendering/symbol/fill/impl/SimpleFillSymbol.java	(revision 43376)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.impl/src/main/java/org/gvsig/symbology/fmap/mapcontext/rendering/symbol/fill/impl/SimpleFillSymbol.java	(revision 43377)
@@ -89,7 +89,7 @@
 			Geometry geom, Feature feature, Cancellable cancel) {
 		Color c = getFillColor();
         
-        if( false ) { 
+        if( true ) { 
             // Esto deberia ser para optimiza el pintado de 
             // geometrias grandes.
             Geometry env = geom.getEnvelope().getGeometry();
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.impl/src/main/java/org/gvsig/symbology/fmap/mapcontext/rendering/symbol/line/impl/SimpleLineSymbol.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.impl/src/main/java/org/gvsig/symbology/fmap/mapcontext/rendering/symbol/line/impl/SimpleLineSymbol.java	(revision 43376)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.impl/src/main/java/org/gvsig/symbology/fmap/mapcontext/rendering/symbol/line/impl/SimpleLineSymbol.java	(revision 43377)
@@ -34,6 +34,7 @@
 import org.gvsig.fmap.geom.GeometryLocator;
 import org.gvsig.fmap.geom.GeometryManager;
 import org.gvsig.fmap.geom.exception.CreateGeometryException;
+import org.gvsig.fmap.geom.primitive.Envelope;
 import org.gvsig.fmap.mapcontext.MapContext;
 import org.gvsig.fmap.mapcontext.MapContextLocator;
 import org.gvsig.fmap.mapcontext.rendering.symbols.ISymbol;
@@ -87,7 +88,18 @@
 
 	public void draw(Graphics2D g, AffineTransform affineTransform,
 			Geometry geom, Feature feature, Cancellable cancel) {
-
+        
+        if( true ) { 
+            // Esto deberia ser para optimiza el pintado de 
+            // geometrias grandes.
+            Geometry env = geom.getEnvelope().getGeometry();
+            env.transform(affineTransform);
+            Envelope env2 = env.getEnvelope();
+            if( env2.getLength(0)<1.5 && env2.getLength(1)<1.5 ) {
+                geom = env2.getUpperCorner();
+            } 
+        }
+        
 		Geometry geomToDraw = geom;
 		g.setStroke(getLineStyle().getStroke());
 
